"""
Модуль является результатом выполнения практической
домашней работы по теме "Списки"

:copyright: Сергей Ванюшкин <pi3c@yandex.ru>
:git: https://git.pi3c.ru/pi3c/StudyRepo_Synergy.git
:license: MIT
2023г.
"""

print("ЧАСТЬ 1")
some_list = [
    "abcd",
    True,
    42,
    "абвг",
    False,
    (1, 2, "Ноль"),
    "какое то слово",
    {1, 4, 6},
    {"a": None, "b": "Не None а str"},
    "не знаю что писать, пусть будет строка)",
]

print(" список ".center(30, "#"))
print("Печатаю созданный список поэлементно:")
for el in some_list:
    print(el, "тип: ", type(el))

print()
print(" срезы ".center(30, "#"))
print("первые 5: ")
print(some_list[:5])

print("последние 3:")
print(some_list[-3:])

print("каждый 2ой:")
print(some_list[1::2])

print()
print(" замена 3го ".center(30, "#"))
some_list[2] = "Заменен"
print(*some_list, sep="\n")
print()

print("ЧАСТЬ 2")
print(" числа ".center(30, "#"))
print(
    "Четное"
    if int(input("Проверка четности\nВведите число: ")) % 2 == 0
    else "нечетное"
)
print()

num = int(input("Проверка по условию\nВведите число:"))
flag = True
if num % 3 == 0:
    print("Делиться на 3")
    flag = False
if num > 10:
    print("Больше 10")
    flag = False
if flag:
    print("Число не соответствует условиям")
